require "util"

function addSapling(tick, position)
	local insert = false
	local more = true
	local item = { tick = tick, position = position }
	local i = 0
	while more do
		i = i + 1
		local value = global.growing[i]
		if value == nil then
			insert = true
			more = false
		end
		if insert or (function() insert = value.tick > tick; return insert end)() then
			global.growing[i], item = item, global.growing[i]
		end
	end
end

script.on_init(function()
	if global.growing == nil then
		global.growing = { }
	end
end)

script.on_configuration_changed(function(event)
	if global.growing == nil then
		global.growing = { }
	end

	if global.ts ~= nil then
		if global.ts.growing ~= nil then
			for k, v in pairs(global.ts.growing) do
				addSapling(v * 60, k)
			end
		end
		global.ts = nil
	end
end)

script.on_event(defines.events.on_built_entity, function(event)
	if event.created_entity.name == "sapling" then
		local randnumber = math.random() * 4 - 2
		addSapling(game.tick + math.floor(1800 * ((randnumber ^ 3) + randnumber + 12)), event.created_entity.position)
	end
end)

script.on_event(defines.events.on_tick, function(event)
	while global.growing[1] ~= nil and game.tick >= global.growing[1].tick do
		local pos = table.remove(global.growing, 1).position
		local foundtree = false
		local entities = game.surfaces[1].find_entities_filtered{ area = { { pos.x - 0.01, pos.y - 0.01 }, { pos.x + 0.01, pos.y + 0.01 } }, name = 'sapling' }
		for _,entity in pairs(entities) do
			entity.destroy()
			foundtree = true
		end
		
		if foundtree then
			local treetype = math.random(6)
			if treetype == 6 then
				treetype = "tree-02-red"
			else
				treetype = "tree-0" .. treetype
			end
			game.surfaces[1].create_entity{ name = treetype, amount = 1, position = pos }
		end
	end
end)
